<?php /*

**************************************************************************
Copyright (C) 2011 Anton Channing

***** GPL3 *****
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

**************************************************************************/

	class bbPressShortcodeWhitelist {
		public $bbp_shortcode_whitelist = array();

		// Plugin initialization
		function __construct() {
			// This version only supports WP 2.5+ (learn to upgrade please!)
			if ( !function_exists('add_shortcode') ) return;

			// Lets assume bbcode is always safe for now.  In long run we should implement this as a
			// customisable admin setting.  Possibly we could auto detect certain popular plugins that
			// add safe shortcodes (ie Vipers video quicktags) and allow a bulk add of those.
			$this->bbp_shortcode_whitelist = array_merge(array('b','i','u','s','img','url','center','quote','color','code','size','ul','ol','li','youtube','gvideo','spoiler'),$this->bbp_shortcode_whitelist);

		}	

		function add_filters() {
			// Add safe shortcode support to relevant filters 
			add_filter( 'get_comment_text', 'bbp_whitelist_do_shortcode' ); //adds safe shortcodes to blog comments
			//add_filter( 'bbp_get_topic_content', 'bbp_whitelist_do_shortcode' ); //adds safe shortcodes to forum topics
			add_filter( 'bbp_get_reply_content', 'bbp_whitelist_do_shortcode' ); //adds safe shortcodes to forum replies
		}
	}
?>
